Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022790
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Retail Configurationmajoralways2013-01-14 12:462013-04-03 11:50
ReportercaristuView Statuspublic 
Assigned Tomigueldejuana 
PriorityurgentResolutionfixedFixed in VersionRMP19
StatusclosedFix in branchFixed in SCM revisionf1bfcee9e168
ProjectionnoneETAnoneTarget VersionRMP19
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomigueldejuana
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022790: Not possible to create a payment for sales left as credit on WebPOS

DescriptionWhen a ticket is left as credit in WebPOS, is not possible to create a payment in for it in the backoffice because it can't be selected using the Add Payment button in [Sales Invoice] neither using the [Add Details] button in the [Payment In] window.
Steps To Reproduce1) In the backoffice, activate the flag "Allow Pay on Credit" in the WebPOS Terminal Type window to activate this feature
2) Assign a "Credit Line Limit" > 0 to a customer so he will be able to
pay on credit
3) Go to the WebPOS and create a sales ticket for that customer
4) Check the "Invoice this receipt" flag
5) Make sure that the ticket total amount is lower than (Credit Line Limit - Customer Balance)
6) Proceed to pay the ticket
7) Click on "Use Credit" button and confirm
8) A new sales order and invoice has been created

9) Go to the backoffice and check that both sales order and invoice are pending to be paid
10) Use the "Add Payment" button to collect the invoice
11) Check in the payment form that the quantity of the payment equals the quantity of the invoice, that the flag "Show payments for alternative payment methods" is checked and that the Transaction Type is "Orders and Invoice"
12) The order or invoice we want to pay does not appear in the grid

13) The same problem happens in the Payment In window. Add a new Payment In for the corresponding customer
14) Use the "Add Details" button in order to add the transaction we want to pay and do the same checks explained for the Payment form.
15) Notice that the order or invoice does not appear
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0024266RMP25 closedmarvintm Impossible to add payment to a return receipt paid with credit 

-  Notes
(0055833)
hgbot (developer)
2013-01-25 09:17

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: f1bfcee9e1685566567a1f92b8dcb061761d43d0
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Fri Jan 25 09:17:28 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/f1bfcee9e1685566567a1f92b8dcb061761d43d0 [^]

Fixed issue 0022790: Payment_Schedule_Detail created when paying with credit

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0055856)
migueldejuana (developer)
2013-01-25 12:19

Tested and reviewed @f1bfcee9e168
(0057588)
hgbot (developer)
2013-04-02 20:03

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: f1bfcee9e1685566567a1f92b8dcb061761d43d0
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Fri Jan 25 09:17:28 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/f1bfcee9e1685566567a1f92b8dcb061761d43d0 [^]

Fixed issue 0022790: Payment_Schedule_Detail created when paying with credit

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---

- Issue History
Date Modified Username Field Change
2013-01-14 12:46 caristu New Issue
2013-01-14 12:46 caristu Assigned To => adrianromero
2013-01-14 13:04 adrianromero Assigned To adrianromero => migueldejuana
2013-01-14 13:04 adrianromero Target Version => RMP19
2013-01-25 09:17 hgbot Checkin
2013-01-25 09:17 hgbot Note Added: 0055833
2013-01-25 09:17 hgbot Status new => resolved
2013-01-25 09:17 hgbot Resolution open => fixed
2013-01-25 09:17 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/f1bfcee9e1685566567a1f92b8dcb061761d43d0 [^]
2013-01-25 12:19 migueldejuana Review Assigned To => migueldejuana
2013-01-25 12:19 migueldejuana Note Added: 0055856
2013-01-25 12:19 migueldejuana Status resolved => closed
2013-01-25 12:19 migueldejuana Fixed in Version => RMP19
2013-04-02 20:03 hgbot Checkin
2013-04-02 20:03 hgbot Note Added: 0057588
2013-04-02 20:03 hgbot Status closed => resolved
2013-04-02 20:03 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/f1bfcee9e1685566567a1f92b8dcb061761d43d0 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/f1bfcee9e1685566567a1f92b8dcb061761d43d0 [^]
2013-04-03 11:50 marvintm Status resolved => closed
2013-07-04 17:20 marvintm Relationship added related to 0024266


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker